## logcheck 1.2.22a

=== Makefile ===
#!/usr/bin/make -f

CONFDIR = etc/logcheck
BINDIR = usr/sbin

install:
	# Create the directories
	install -m 750 -d $(DESTDIR)/$(CONFDIR)
	install -d $(DESTDIR)/var/lib/logcheck
	install -d $(DESTDIR)/var/state/logcheck
	install -d $(DESTDIR)/usr/sbin

	install -m 750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
	install -m 750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
	install -m 750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
	install -m 750 -d $(DESTDIR)/$(CONFDIR)/cracking.d
	install -m 750 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
	install -m 750 -d $(DESTDIR)/$(CONFDIR)/violations.d
	install -m 750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d

	# Install the scripts
	install -m 755 src/logcheck $(DESTDIR)/$(BINDIR)/
	install -m 755 src/logtail $(DESTDIR)/$(BINDIR)/

	# Install the config files
	install -m 640 etc/logcheck.logfiles $(DESTDIR)/$(CONFDIR)
	install -m 640 etc/logcheck.conf $(DESTDIR)/$(CONFDIR)

	# Install the rulefiles
	install -m 640 rulefiles/linux/ignore.d.paranoid/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	install -m 640 rulefiles/linux/ignore.d.server/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.server/
	install -m 640 rulefiles/linux/ignore.d.workstation/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	install -m 640 rulefiles/linux/violations.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.d/
	install -m 640 rulefiles/linux/violations.ignore.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	install -m 640 rulefiles/linux/cracking.d/* \
		$(DESTDIR)/$(CONFDIR)/cracking.d/

clean:
	# Remove the scripts
	-rm -f  $(DESTDIR)/$(BINDIR)/logcheck
	-rm -f  $(DESTDIR)/$(BINDIR)/logtail
	# Remove the configfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.logfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.conf
	# Remove the rulesfiles
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.server/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/cracking.d/
	# Remove the statedir and it's contents
	-rm -rf $(DESTDIR)/var/lib/logcheck 

	# Finally remove the config directory
	-rmdir $(DESTDIR)/$(CONFDIR)

distclean:
	-find . -name "*~" | xargs -r --no-run-if-empty rm -vf

check:
	#cd test; python test.py

system-test:
	cd test; rm -fv state/*; \
		../src/logcheck -c ../etc/logcheck.conf \
				-l ../etc/logcheck.logfiles \
				-r ../rulefiles/linux \
				-S state/ -o

=== debian/changelog ===
logcheck (1.2.22a) unstable; urgency=low
  
  maks:
  * Fix broken cleancheck call. (Closes: #252966, #253075, #253260, #253486)

 -- Todd Troxell <ttroxell@debian.org>  Thursday, 10 Jun 2004 04:18:23 -0500

logcheck (1.2.22) unstable; urgency=low

  maks:
  * Remove broken attempt to avoid UTF-8. (Closes: #214117)
  * Update automount, innd, kernel, openvpn, postfix rules. 
    (Closes: #252216, #249474, #244172, #252174, #187496, #249181, #252712)
  * Better readability of greplogoutput() in logcheck.
  * Our Perl usage needs 5.8, add dependency. (Closes: #252078)
  * Rename conflicting logcheck-sendmail rule in logcheck-sendmail_tmp
    Sendmail ships aboves rule. (Closes: #252661, #252556)
  todd:
  * add MAILTO=root to logcheck.cron.d (Closes: #252597)

 -- Todd Troxell <ttroxell@debian.org>  Saturday, 05 Jun 2004 14:02:47 -0500 

logcheck (1.2.21) unstable; urgency=low

  maks:
  * Better description of logtail package.
  * Recommend use of an offsite email address in main conf.
  * Added and updated bind, cracklib, innd, kernel, logcheck, nntpcache,
    Login.app, proftp, postfix, pump, sendmail rulefiles.
    (Closes: #248816, #213709, #198767, #248409, #249074, #250374, #250373, 
     #249181)
  * Added -v switch (outputs logcheck version).
  * Harden permissions regarding world.
  * Added and updated arpwatch, bind, gconf, gdm, kernel, openvpn, postfix,
    rpc.statd and spamd rules.  thanks to Peter Palfrader <weasel@debian.org>.
  * New Config option for subject tags [logcheck].
  * Lower all debconf messages priority.
  * Added and updated oidentd rules. (Closes: #186849)
    thanks to Tobias Wolter <towo+bugs@ydal.de>
  * Ignore normal use of su and sudo. (Closes: #182992, #192192)
  * Remove empty file innd.
  * Add switches to logtails default arguments.
  * Added cvs-build, cvs-clean debian/rules - stolen from apt.
  * Denote /etc/logcheck/logcheck.logfile as CFG in manpage and logcheck.
  * Move logtail.8 from debian to doc dir.
  * Added Japanese translation. thanks to Hideki Yamane (Closes: #251463)
  * Added French translation. thanks to Rmi Pannequin (Closes: #252173)
  * Fix bashishm in preinst and postinst. (Closes: #251364)
  todd:
  * Add debconf to logcheck Depends:
  * Check the return values of all commands that write to disk.
    (Closes: #174173)
  * Add NEWS.Debian to logcheck.docs (Followup to #247360)
  eevans:
  * Made addition of logcheck user and permissions/ownership changes a
    conditional of an upgrade from a version less than 1.2.19.
    (Closes: #249324)
  * Added a note to README.Debian on how to manually change the cronjob 
    interval. (Closes: #222240, #226937)
  alfie:
  * src/logcheck: test also for readability for the header.txt and footer.txt.
  * debian/changelog: stripped all trailing whitespace from the file.
  * debian/*templates: Some small consistency and formating updates. Updated
    the debian/po/*.po files too.

 -- Todd Troxell <ttroxell@debian.org>  Thursday, 03 Jun 2004 05:49:47 -0500

logcheck (1.2.20a) unstable; urgency=low

  maks:
  * Fix bug where many extra TMPDIRs were being created and never removed

 -- Todd Troxell <ttroxell@debian.org>  Sunday, 16 May 2004 02:21:00 -0500

logcheck (1.2.20) unstable; urgency=low

  maks:
  * Updated gconfd rules. (Closes: #246695)
  * Added and Updated ntpd rules. (Closes: #246750)
  * Added first cyrus rules. (Closes: #247047)
  * Updated pop3d-ssl rules.
  * Updated postfix rules. (Closes: #196258, #190696)
  * Try secure TMPDIR in /tmp if /var/tmp fails. (Closes: #242284)
  * Initial german translation.
  * Set a sane DEFAULTLEVEL="server" in logcheck itself.
  * Better hantling of crontab.  (Closes: #243019)
  * Enhanced manpage logcheck(8). (Closes: #215640)
  * Add syslog-ng option for sysklogd dependency. (Closes: #248244)
  alfie:
  * Full german translation.
  * Updated pt_BR translation from André Luís Lopes.
  * Run debconf-updatepo.
  * debian/logcheck.8 is generated, so get rid of it in clean target, too.
  todd:
  * Change logcheck home to /var/lib/logcheck. (Closes: #247614)
  * Change modes on /etc/logcheck. (Closes: #247929, #248046)
  * Allow adm group to read logcheck rules. (Closes: #209048)
  * Remove noroot template. (Closes: #247360)
  * Remove useless chown to /var/tmp/logcheck* thanks to maks.
  * Remove bash depends.  Bash is marked essential.
  * Change Maintainer field to Debian logcheck Team,
    set ttroxell@debian.org as uploader.
  * Bumped standards to 3.6.1.
  * Removed Python from Build-Depends-Indep.  Thanks, Alfie.
  * Changed chmod to /etc/logcheck in postinst to use X flag instead of x.
    Thanks, Martin Waitz

 -- Todd Troxell <ttroxell@debian.org>  Wednesday, 12 May 2004 04:49:00 +0000

logcheck (1.2.19-2) unstable; urgency=low

  maks:
  * Add another chown -R flag. (Closes: #247279)
  todd:
  * Fix templates (Closes: #247466, #247467, #247424)
  * Lower debconf noroot message priority
  * Add NEWS.Debian to make some progress on 247360

 -- Todd Troxell <ttroxell@debian.org>  Wednesday, 05 May 2004 01:39:00 +0000

logcheck (1.2.19-1) unstable; urgency=low

  todd:
  * quick fix release to keep things working in unstable
  * add -R flag to chmod in configure (Closes: #247230)

 -- Todd Troxell <ttroxell@debian.org>  Monday, 03 May 2004 16:02:11 +0000

logcheck (1.2.19) unstable; urgency=low

  maks:
  * Rename "Security Violations" in "Security Events". (Closes: #182079)
  * Use the newer gettext-based debconf template translation system.
    Patch with pt_BR translation from André Luís Lopes. (Closes: #187519)
  * Documented -u switch in manpage.
  * Updated pump rules.
  * Updated uptimed rules. (Closes: #216204)
  * Logcheck used empty ignores when greplogoutput was called with 2 arguments.
    Thanks to Paul Cassella for preliminary patch. (Closes: #243980)
  eevans:
  * Added a trap to invoke cleanup() when shell exits. Thanks to Marc
    Staveley for the patch. (Closes: #207795)
  * Changed interpreter from /bin/sh to /bin/bash


=== debian/control ===
Source: logcheck
Section: admin
Priority: optional
Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
Uploaders: Todd Troxell <ttroxell@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.13), docbook-to-man,
  debianutils (>= 1.16.9), po-debconf (>= 0.5.0)

Package: logcheck
Architecture: all
Depends: adduser, debconf, exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (= ${Source-Version}), logcheck-database (= ${Source-Version}), debianutils (>= 1.16.9), lockfile-progs, ${misc:Depends}, perl (>= 5.8.0)
Pre-Depends: logtail (>= 1.1.9.1)
Suggests: syslog-summary
Description: Mails anomalies in the system logfiles to the administrator
 Logcheck was part of the Abacus Project of security tools, but this
 version has been rewritten. 
 .
 Logcheck helps spot problems and security violations in your logfiles
 automatically and will send the results to you in e-mail.

Package: logcheck-database
Architecture: all
Depends: ${misc:Depends}
Replaces: logcheck (<= 1.1.1-9)
Description: A database of system log rules for the use of log checkers
 This database is part of the Logcheck package, but might be used by others.
 It brings a database of regular expressions for matching system log entries
 after various criteria.

Package: logtail
Architecture: all
Replaces: logcheck (<= 1.1.1-9)
Description: Print log file lines that have not been read
 This program will read in a standard text file and create an
 offset marker when it reads the end. The offset marker is read
 the next time logtail is run and the text file pointer is moved
 to the offset location. This allows logtail to read in the next
 lines of data following the marker. This is good for marking log
 files for automatic log file checkers to monitor system events.
 .
 This program is mainly used by logcheck, because it returns only
 parts of the system logfiles that have not already been checked.

## logcheck 1.2.32

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,6 @@
 	# Create the directories
 	install -m 750 -d $(DESTDIR)/$(CONFDIR)
 	install -d $(DESTDIR)/var/lib/logcheck
-	install -d $(DESTDIR)/var/state/logcheck
 	install -d $(DESTDIR)/usr/sbin
 
 	install -m 750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid

=== debian/changelog ===
logcheck (1.2.32) unstable; urgency=low

  maks:
  * Add rules for jabberd, openvpn, rsnapshot, saslauthd, stunnel at 
    level server from Peter Palfrader <weasel@debian.org>.
  * Default reportlevel is "server", correct logcheck.conf thanks koki.
  * Fix up space in newer xdm logging.
  * Add kernel rule for dvd combi drives at level workstation.
  * Add nss_ldap rule for apache, sshd syslog line at level server.
  * Ignore also ssh disconnect from win clients on level server.
  * Have per package NEWS.Debian files, move them below debian/.
    thanks alfie for hint dh_installchangelogs(1) for multiple NEWS.Debian.
    (closes: #281646)
  * Add and fix hostname match in dnsmasq ruleset. (closes: #283331)
  * Add rules for workstation related to removable media. (closes: #277644)
  * Remove kernel rules related to tainted modules.
  * Fix sudo ignore rule for tty usage.
  * Fix gconfd rules at level workstation for newest gnome.
  alfie:
  * logtail.8: Fixed formating to be consistant, changed OPTION to -r (the
    only OPTION not mentioned yet :))
  jamie:
  * Add rules for nagios, gps.
  * Added new rules for messages from USB joystick use. (closes: #282378)
  * Fix spamd rule to match all hosts. (closes: #282842)

 -- Todd Troxell <ttroxell@debian.org>  Tuesday, 07 Dec 2004 10:57:39 -0500

logcheck (1.2.31) unstable; urgency=low

  jamie
  * Fix rules for hylafax, thanks to Ross Boylan. (closes: #270018)
  max
  * Add rule for tripwire run at level paranoid.
  * Add rule for nscd at level server.
  alfie:
  * Fixed my non-fix in logcheck, sorry (closes: #279635)
  todd:
  * Fix segmented rules, thanks rloboda@bojko.krakow.pl

 -- Todd Troxell <ttroxell@debian.org>  Tuesday, 09 Nov 2004 03:25:11 -0500

logcheck (1.2.30) unstable; urgency=low

  maks:
  * Move pptpd rules to level server.
  * Small typo fixes in docs.
  * New rules for bind, courier, cpqarrayd, dhcp, jabberd, nagios, ntp, 
    openvpn, postfix, slapd, smartd, smokeping, squid, ssh, thy, uptimed.
    all for level server thanks to Peter Palfrader <weasel@debian.org>.
  * Logcheck/rules: Don't take locale for granted use character class instead.
  * Fix 2 samba rules at level server. (closes: #277635)
  * Added rules for perdition, postfix, pure-ftpd, snmpd.
    thanks to Brendon Baumgartner <brendon@brendon.com>
  * Small enhancment courier rule.
  * Simplify logic in logcheck-postinst.
  jamie:
  * Add rules for dnsmasq. (closes: #277636)
  * Add rules for hylafax.
  * Add violations.ignore.d rules for hylafax.
  alfie:
  * Fix sed error to really remove trailing spaces. (closes: #278337)
  * Add myself to uploaders field because of stable releases.
  todd:
  * Remove chown from debian/rules.  (closes: #277782)

 -- Todd Troxell <ttroxell@debian.org>  Tuesday, 02 Nov 2004 00:21:41 -0500

logcheck (1.2.29) unstable; urgency=low

  maks:
  * Don't report sudo calls where pwd contains spaces (Closes: #272969)
  * Fix trailing space in perdition rule. (Closes: #273433)
  * Small documentation update how to test rules without fiddling with
    trailing space.
  * sed fine tuning to speed up + remove trailing tabs. thanks alfie
  * Don't use -m switch from sort, it basically disables sorting.
    Remove gratious call to uniq that should be done with SORTUNIQ.
    (Closes: #270677)
  * Add violations.ignore.d/su on old logfiles to be removed on sarge upgrade.
  * Add rules for kdm/wdm/xdm, kernel (usb, keyboard) on level workstation.
  * Only show "rules-directories-note" on upgrade.
  * Enhance ppp rules on level workstation. (Closes: #270019)
    Add pppoa3 rules to the ppp rules.
  * Small update concerning reject messages in postfix + new rule.
  * Added pptpd rules at level workstation.
    thanks to Erich Schubert <erich@debian.org>
  * Added first pure-ftpd rules at level server.
  * Fix cyrus violations.ignore.d rules for higher pids.
  todd:
  * Add 1 dovecot rule
  * Fix another permission issue involving rulefiles.  Added chown to debian/
  rules.
  * Simpler formatting on version string.
  jamie:
  * Updated rules for innd, added rule for cleanfeed.
  * Small correction to gps rules.
  * Added SPF postfix policy server rule for 'SPF pass'. 
  * Fix spelling mistake in dhcp rules. (Closes: #276063)
  * Change dhcp rules to reflect ISC's change of name. 
    Thanks to Dirk Prosdorf for the patch. (Closes: #276317)

 -- Todd Troxell <ttroxell@debian.org>  Saturday, 16 Oct 2004 19:14:03 -0500

logcheck (1.2.28) unstable; urgency=low

  maks:
  * Small fixes: join 2 lines in ignore.d.server/postfix, add '^' for 
    start-of-line ignore.d.server/scponly (Closes: #270398)
  * Small rule update oidentd (Closes: #271286)
  * Check if logcheck has the permissions to read the offsetfiles.
  * Allow Hostname for logcheck mail to be set by commandline switch
    for log hosts. thanks to Joerg Jaspert <joerg@debian.org>
  * Minor comment fixes for picky readers.
  * Handle lack of permissions gracefully. (Closes: #271482)
  * Small update dhcp for dyndns support. (Closes: #260743)
  * Add a sendfile rule at level workstation for its connect syslogging.

 -- Todd Troxell <ttroxell@debian.org>  Wednesday, 22 Sep 2004 16:35:03 -0500

logcheck (1.2.27) unstable; urgency=low

  todd:
  * Add pointer to README.logcheck-database.gz in logcheck man page.
  (Closes: #268277)
  * Remove qmail rules because they have been added to qmail package.
  * Rule updates for spamd (Closes: #269318)
  * Add note about avoiding file name confilcts in README.Maintainer
  * Add violations ignore for courier-pop3d-ssl (Closes: #269959)
  * Add anon-proxy rules (Closes: #269310)
  * Add perdition rules thanks to jamie@silverdream.org (Closes: #270191)

 -- Todd Troxell <ttroxell@debian.org>  Monday, 06 Sep 2004 19:10:19 -0500

logcheck (1.2.26) unstable; urgency=low

  maks:
  * Fix multi-line build-depends lintian warning for source package.
  * Add su usage hint a root check. thanks todd and Alfie!


=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
-Uploaders: Todd Troxell <ttroxell@debian.org>
+Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>= 4.1.13), docbook-to-man,
-  debianutils (>= 1.16.9), po-debconf (>= 0.5.0)
+Build-Depends-Indep: debhelper (>= 4.1.13), docbook-to-man, debianutils (>= 1.16.9), po-debconf (>= 0.5.0)
 
 Package: logcheck
 Architecture: all
 Depends: adduser, debconf, exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (= ${Source-Version}), logcheck-database (= ${Source-Version}), debianutils (>= 1.16.9), lockfile-progs, ${misc:Depends}, perl (>= 5.8.0)
-Pre-Depends: logtail (>= 1.1.9.1)
 Suggests: syslog-summary
 Description: Mails anomalies in the system logfiles to the administrator
  Logcheck was part of the Abacus Project of security tools, but this

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	/usr/bin/docbook-to-man docs/logcheck.sgml > \
		docs/logcheck.8

	make check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp

	-rm -f docs/logcheck.8
	-$(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp



	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	touch install-stamp


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_movefiles
	dh_install debian/header.txt usr/share/logcheck
	dh_installcron
	dh_installman -p logtail docs/logtail.8
	dh_installman -p logcheck docs/logcheck.8
	dh_installchangelogs
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms --exclude etc/logcheck
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Done by the uploader:
# cvs update..
# edit debian/changelog
# debian/rules cvs-build
#
#LOGCHECK_DEBVER=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
#LOGCHECK_CVSTAG=$(shell echo "$(LOGCHECK_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')
LOGCHECK_DEBVER=$(shell head -n 1 debian/changelog | perl -lne 'print  m,\(([\w.]+)\),')
LOGCHECK_CVSTAG=HEAD
CVS_BUILDDIR=logcheck-$(LOGCHECK_DEBVER)
CVS_ROOT=$(shell cat CVS/Root)
CVS_MODULE=$(shell cat CVS/Repository)
cvs-build: 
	rm -rf debian/cvs-build
	mkdir -p debian/cvs-build
	(cd debian/cvs-build;cvs -d $(CVS_ROOT) export -r $(LOGCHECK_CVSTAG) -d $(CVS_BUILDDIR) $(CVS_MODULE))
cvs-clean: 
	-rm -rf debian/cvs-build

## logcheck 1.2.39

=== Makefile ===
--- 
+++ 
@@ -8,14 +8,15 @@
 	install -m 750 -d $(DESTDIR)/$(CONFDIR)
 	install -d $(DESTDIR)/var/lib/logcheck
 	install -d $(DESTDIR)/usr/sbin
+	install -d $(DESTDIR)/var/lock/logcheck
 
-	install -m 750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
-	install -m 750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
-	install -m 750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
-	install -m 750 -d $(DESTDIR)/$(CONFDIR)/cracking.d
-	install -m 750 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
-	install -m 750 -d $(DESTDIR)/$(CONFDIR)/violations.d
-	install -m 750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d
+	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
+	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
+	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
+	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.d
+	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
+	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.d
+	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d
 
 	# Install the scripts
 	install -m 755 src/logcheck $(DESTDIR)/$(BINDIR)/

=== debian/changelog ===
logcheck (1.2.39) unstable; urgency=low

  todd:
  * Fix logcheck upgrade script to set owner on lock directory properly
    Thanks Marco Valli, Maks

 -- Todd Troxell <ttroxell@debian.org>  Tuesday, 19 Apr 2005 11:53:00 -0500

logcheck (1.2.38) unstable; urgency=low

  maks:
  * Generalise postfix rule concerning network_biopair_interop.
  * Add rule for ntp message about valid/infalid peers. (Closes #303661)
  * Improve rules .PHONY target + add checkpo rule for the translation check.
  * Add help target to debian/rules documenting the syntax.
  jamie:
  * Add rule in violations.ignore.d/logcheck-postfix for postgrey
    (Closes: #30088)
  * Modify bind notify rule for bind 9.3.x (Closes: #303176)
  * Add various workstation kernel/udev rules for removable devices
    (Closes: #297995)
  * Modify rsync rule to match module names with '.', '-' and '_'.
    Thanks to SATOH Fumiyasu <fumiya@samba.gr.jp> for the patch
    (Closes: #295352)
  * Add nagios rule for UNKNOWN state service notification.
  * Modify postfix anvil rule for 'max connection' statistics
    messages to match smtps connections too.
  * Add new rules for policyd, a postfix policy daemon.
  * Add more postfix rules for certificate verification failure
    messages.
  * Add new rules for postfix scache (connection cache server).
  * Add rule for bind 9.3 'unexpected RCODE' messages.
  * Modify dnsmasq rule to match '/var/run/dnsmasq/resolv.conf'
    too. (Closes: #302678)
  todd:
  * Change lockfile location from /var/lock/logcheck to
    /var/lock/logcheck/logcheck (Thanks Rainer Zocholl) to avoid 
    potential DoS condition. (Closes: #304978)
  * Make lockfile debug messages refer to the correct files.
  * Add note about dh_installlogcheck permissions. (See #302379)

 -- Todd Troxell <ttroxell@debian.org>  Monday, 18 Apr 2005 23:45:00 -0500

logcheck (1.2.37) unstable; urgency=low

  maks:
  * Fix routine message when resolvconf is installed. thanks for patch
    to Thomas Hood <jdthood@aglu.demon.nl> (Closes: #302678)
  * Add postfix rules for local procmail delivery. (Closes: #302744)
  * Fix logcheck su rule reporting valid `su -' use.
  * Add nagios rule for UNREACHABLE messages. thanks for patch to
    Geoff Crompton <geoff.crompton@strategicdata.com.au> (Closes: #298495)
  todd:
  * Revert warning on bad regex code (Closes: #302689)

 -- Todd Troxell <ttroxell@debian.org>  Saturday, 2 Apr 2005 17:57:00 -0500

logcheck (1.2.36) unstable; urgency=low

  jamie:
  * Update rules for gps 1.0>.
  * Add/update rules for innd.
  maks:
  * Add harmless pdns rule at server level.
  * Add rules for cups-lpd at level server.
  * Add violations.ignore.d/logcheck-dcc for the nightly dccifd reporting.
  * Add rule ignore.d.server/kernel for printer out of paper. 
    (Closes: #298291)
  * Add one more apm rule for useless gdm logout message.
  * Add rules for 2 harmless dhcpd and dhclient messages.
  * Add cvsd, pam rules from Peter Palfrader <weasel@debian.org>.
  * Add ssh rule for timeout before authentication.
  * Check time of rotated logfile against already gzipped logfile. 
    syslog-ng leaves old syslog.0 logfile in /var/log. (Closes: #296096)
  todd:
  * Add support for warnings in report
  * Update copyright dates
  * Warn on invalid regex (Closes: #295560)
  * Update udev for directories (Matt Brubeck) (Closes: #301415)

 -- Todd Troxell <ttroxell@debian.org>  Wednesday, 30 Mar 2005 20:04:00 -0600

logcheck (1.2.35) unstable; urgency=low

  maks:
  * logtail fix invocation without switches (compat to old versions).
  * Add smartd rule, whitespace fix openvpn rule, merge old smartd rules.
  * Add rule for imaplogin disconnected + logout messages. 
    (closes: #294950, #295418)
  * Add rule violations.ignore.d/logcheck-ssh + rule ignore.d.server/ssh for
    the PARANOID wildcard in /etc/hosts.deny.
  * Match dots as dots aka '\.' in all rules.
  * Add kernel rules at level workstation (annoying apm, usb storage)
  * Fix gconf SIGHUP rule (dup whitespace).
  jamie:
  * Add rules for webmin (closes: #286307).
  * Add rules for postfix 2.2, innd.
  * Modify rule for pure-ftpd logout messages (closes: #294612).
  * Add rule for pure-ftpd timeout messages (closes: #295254).
  * Modify rule for pure-ftpd logout messages to match even if
    username is missing(!) (closes: #295257).
  * Add rules in violations.ignore.d/logcheck-postfix for certificate
    verification failures.
  * Add rule for courierpop3login (closes: 296014).
  * Add rule in violations.ignore.d/logcheck-pureftp for upload/download
    messages (closes: #296110).
  todd:
  * Correct link syntax in copyright (closes: 296214).
  * Add comments to clarify postinst
  
 -- Todd Troxell <ttroxell@debian.org>  Sunday, 20 Feb 2005 23:17:00 -0500

logcheck (1.2.34) unstable; urgency=low

  todd:
  * Correct "Gandhi" spelling in docs/README.how.to.interpret.
    Thanks Satya <debbugs@thesatya.com> (closes: #289529)
  * Set logtail to report errors on stderr instead of stdout. 
    (closes: #289801)
  * Adjust logcheck to redirect stdout and also stderr when reporting in order 
    to maintain the current behavior of logcheck after the change above.
  * Change rule directories to setgid for real this time. (closes: #291395)
  * Update gconf, workstation/kernel rules
  maks:
  * Add pdns, fix scponly, fix gconfd SIGHUP rule.
  * Fix pam_winbind rule at level workstation. (Closes: #289866)
  * Ignore sudo "command continued" logline. (Closes: #290195)
  * Add rule for daily sysklogd -r restart at level server. (Closes: #290511)
  jamie:
  * Update rules for nagios.

 -- Todd Troxell <ttroxell@debian.org>  Sunday, 23 Jan 2005 21:31:00 -0500

logcheck (1.2.33) unstable; urgency=low

  maks:
  * Enhance rules at level workstation for removable devices. 
    (closes: #284505, #284825)
  * Fix dnsmasq rule regarding DHCPINFORM. (closes: #286532)
  * Add rbldnsd rules at level server from Rafael Jesus Alcantara Perez
    <rafa@dedaloingenieros.com>. (closes: #285602)


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: logcheck
 Architecture: all
-Depends: adduser, debconf, exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (= ${Source-Version}), logcheck-database (= ${Source-Version}), debianutils (>= 1.16.9), lockfile-progs, ${misc:Depends}, perl (>= 5.8.0)
+Depends: adduser, debconf, exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (= ${Source-Version}), logcheck-database (= ${Source-Version}), debianutils (>= 1.16.9), lockfile-progs, ${misc:Depends}
 Suggests: syslog-summary
 Description: Mails anomalies in the system logfiles to the administrator
  Logcheck was part of the Abacus Project of security tools, but this
@@ -28,6 +28,7 @@
 
 Package: logtail
 Architecture: all
+Depends: perl (>= 5.8.0)
 Replaces: logcheck (<= 1.1.1-9)
 Description: Print log file lines that have not been read
  This program will read in a standard text file and create an

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+.PHONY: build clean binary-indep binary-arch binary cvs-build checkpo help
 
 build: build-stamp
 build-stamp:
@@ -51,11 +53,11 @@
 	dh_installman -p logcheck docs/logcheck.8
 	dh_installchangelogs
 	dh_installdebconf
-	dh_strip
+#	dh_strip
 	dh_compress
 	dh_fixperms --exclude etc/logcheck
 	dh_installdeb
-	dh_shlibdeps
+#	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
@@ -65,7 +67,29 @@
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
+
+help:
+	@echo
+	@echo 'Cleaning targets:'
+	@echo '  clean         -   remove generated files'
+	@echo '  cvs-clean     -   remove cvs checkout'
+	@echo
+	@echo 'Logcheck packaging:'
+	@echo '  cvs-build     -   checkout current logcheck cvs'
+	@echo '  binary        -   build debian package'
+	@echo
+	@echo 'Analysing:'
+	@echo '  checkpo       -   prints translation status'
+	@echo
+	@echo 'Execute debian/rules file'
+
+# check the debconf translations
+checkpo:
+	for i in debian/po/*.po; do \
+		echo \"Checking: $$i\"; \
+		msgmerge -U $$i debian/po/templates.pot; \
+		msgfmt -o /dev/null -c --statistics $$i; \
+	done
 
 # Done by the uploader:
 # cvs update..

## logcheck 1.2.40

=== debian/changelog ===
logcheck (1.2.40) unstable; urgency=low

  jamie:
  * Improve postfix rules in ignore.d.server/postfix and
    violations.ignore.d/logcheck-postfix. (Closes: #305350)
  * Add postfix rule for "Temporary failure in name resolution" messages.
  * Add rules for policyd, add comma to throttle rule.
  * Add nagios rules for PROCESS_SERVICE_CHECK_RESULT messages. 
    (Closes: #306695)
  * Add more ntp rules for "adjusting local clock" messages. (Closes: #303661)
  * Add postfix rule for "unknown SPF result" messages when using the
    libspf2 patch.
  * Add rule for bind 9.3 "FORMERR resolving" messages.
  * Add more nagios rules for SERVICE_FLAPPING messages and 
    ENABLE_*_NOTIFICATIONS messages.
  * Fix udev rules to match alphanumeric device names and subdirectories in
    front of %k. (Closes: #307588)
  * Add bind rule to suppress NSTATS messages. (Closes: #307675)
  * Add nagios rule for "HOST EVENT HANDLER" messages.
  * Add cyrus rules to match notifyd messages.
  * Add first rule for grinch, an open relay checker for postfix.
  * Set a default for FQDN and only set the value of HOSTNAME once we've read
    logcheck.conf. The FQDN option now works. (Closes: #308249)
  * Minor changes to innd rules. Add rule to match innfeed "Connection
    refused" messages.
  * Add nagios rule for ENABLE_NOTIFICATIONS messages.
  * Add postfix rule to suppress "certificate has expired" messages.
  * Add postfix rule for "misplaced delimiter" hostname warnings.
  * Add nagios rules to match ACKNOWLEDGEMENT, ADD_SVC_COMMENT, HOST_DOWNTIME 
    and DISABLE_SVC_NOTIFICATIONS messages.
  * Add the first rules for qpopper and qpopper-drac. (Closes: #125794,
    #191637)
  * Fix innd rules in violations.ignore.d/logcheck-innd for innfeed to match 
    "global/final seconds.." messages.
  * Correct innd rule for perl filter rejection messages to match hostnames with
    hyphens and underscores too.
  * Adjust the anvil rule to match "max connection" messages with port 587
    (submission).
  * Add section to README.logcheck-database about submitting rules.
  * Modify rules for dovecot to also match messages from the pop3 daemon.
    (Closes: #310423)
  * Minor changes to innd rules. Add rule for readclose messages.
  * Add postfix rule in violations.ignore.d/logcheck-postfix to suppress
    dNSNames mismatch messages.
  * Add innd rule for innfeed hostChkCxns messages.
  * Fix postfix rule in violations.ignore.d/logcheck-postfix to match
    CommonName mis-match messages when verifying broken certs where the CN is
    empty.
  maks:
  * Add some pppd rules for pppoatm usage.
  * Fix hostname match in cvsd rules.
  * Add some first preliminary iptables rules for iptables REJECT logging
    ignore.d.server/kernel for UDP packets.
  * Add jabberd, ssh, rsync rules from Peter Palfrader <weasel@debian.org>.
    The ssh rule ignores network scanning noise (not the account brutforcing).
  * Added dot to username match in scponly rule.
  * Match more strictly ipv4 address in dhcpd + dhclient rules.
  * Add to ignore.d.server/dhcpd initial udhcpd lines. (Closes: #306388)
  * Minor additions to logcheck(8).
  * Add rule for cron nss_ldap message in ignore.d.server/cron.
  * Generalise kernel message no IPv6 routers present level workstation.
  * Update rsync daemon rule thanks Paul Slootman <paul@debian.org> 
    (Closes: #308800)
  * Update postfix peer verification rule match. (Closes: #307889)
  * Beautify logcheck.postinst don't call dpkg --compare-versions when no $2.
  * Correct proftpd rules thanks to  Tilman Koschnick <til@subnetz.org>
    (Closes: #309084)
  todd:
  * Add Eric Evans as an uploader.

 -- Todd Troxell <ttroxell@debian.org>  Sunday, 29 May 2005 00:24:00 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
-Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>
+Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>, Eric Evans <eevans@debian.org>
 Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.13), docbook-to-man, debianutils (>= 1.16.9), po-debconf (>= 0.5.0)

## logcheck 1.2.42ubuntu1

=== debian/changelog ===
logcheck (1.2.42ubuntu1) dapper; urgency=low

  * Create /var/lock/logcheck if necessary; we can do this in the main
    code because /var/lock is +t.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 20 Apr 2006 11:37:28 +0100

logcheck (1.2.42) unstable; urgency=low

  [ maximilian attems ]
  * Add dccproc timeout rule.
  * Only source the conffile if we can read it. Should enable logcheck runs
    directly out of the logcheck source.
  * Default to send mail to local root otherwise messages go to Nirvana.
  * Check if conffile with list of logfiles is readable.
  * Fallback to read syslog if no logfile is provided.
  * Enhance bind rules ignore NSTATS loglines, remove dup. (Closes: #324751)
  * Add rule for recent nfs mountd messages.
    Thanks to toby cabot <toby@caboteria.org>. (Closes: #325800)
  * Move imap file to server level, not appropriate for paranoid.
  * Add imap ignore rule for moved bytes, seems pretty normal imap usage.
    Thanks to toby cabot <toby@caboteria.org>. (Closes: #325801)
  * Add rule for Postponed keyboard-interactive ssh logins.
  * Update some usb rules for usb-storage and phone devices. (Closes: #324347)
  * Update horde3 rules the identifier can be changed by the user to any char.
    Thanks to Martin Lohmeier <martin@mein-horde.de> (Closes: #324613)
  * Add imp4 rule for successful logins. Thanks to
    Martin Lohmeier <martin@mein-horde.de> (Closes: #324615)
  * Bumped standards to 3.6.2.
  * Fix exim4 rule for more modern tls string.
  * logcheck.8 fix add full path to README.logcheck-database.gz.
    (Closes: #328632)

  [ Jamie Penman-Smithson ]
  * Add the first rules for mon. Thanks to Robbert Muller <muller@muze.nl>.
    (Closes: #324451)
  * Modify dovecot rules to match ipv6 addresses too. (Closes: #327088)
  * Add first polypaudio rules in workstation to suppress module-alsa-sink.c
    messages. (Closes: #331282)
  * Add first rules for tftpd, suppress 'connect' and 'get file' messages.
    (Closes: #333456)
  * Fix dovecot rules to match the new format log messages in 1.0.
    (Closes: #332707, #333461)
  * Fix proftpd rules to match ipv6 addresses. Thanks to Elmar Hoffmann
    <elho@elho.net> (Closes: #332807)
  * Update ssh rules to suppress reverse DNS warnings. Thanks to Elmar
    Hoffmann <elho@elho.net> (Closes: #333233)
  * Update nagios rules to match host UNREACHABLE notification messages.
    (Closes: #325874)
  * Add the first rules for popa3d. (Closes: #328251)
  * Fix group permissions for /var/lock/logcheck on install or upgrade so
    logcheck can be executed by the logcheck group. (Closes: #330208)
  * Add Swedish translation, thanks to Daniel Nylander <yeager@lidkoping.net>.
    (Closes: #334415)
  * Fix anvil max rate rule to match statistics messages when postfix is bound
    to a specific IP. (Closes: #334342)
  * Modify spamd rules to match log message format in 3.1. (Closes: #335021)

  [ Todd Troxell ]
  * Add check for lockfile-progs to aid non-debian installations.
  * Set logcheck to remove cleanup trap if an error occours while getting
    lockfile. This will prevent many confusing error messages.
  * Add error reporting on -o option
  * Add IPv6 support to bind rules. Thanks Marco Nenciarin
    <mnencia@prato.linux.it> (Closes: #327100)
  * Add IPV6 support to postfix rules.  Thanks Marco Nenciarin
    <mnencia@prato.linux.it> (Closes: #327114)
  * Add INSTALL documentation for manual/non-Debian installation.
  * Add 5 receive rules for hylafax's FaxGetty.
  * Call adduser without --home flag in postinst. (Closes: #312393)

 -- Todd Troxell <ttroxell@debian.org>  Sat, 22 Oct 2005 23:14:54 -0400

logcheck (1.2.41) unstable; urgency=low

  [ Jamie Penman-Smithson ]
  * Fix postfix rule to match "setting up TLS connection" messages again.
  * Fix innd rule for "ME time" messages, add rule for innfeed "ME time"
    messages.
  * Fix rules for gps to match messages with the null sender (<>).
  * Update cyrus/notifyd rule to match destination folders and subfolders too.
  * Update cyrus rules to suppress DBERROR db3: n lockers messages when it's
    only 1-2 lockers, these messages are harmless as long as the number
    doesn't increase.
  * Update postfix lmtp rule to match messages given by amavis when discarding
    UBE and viruses.
  * Fix bug in the squid rule for "found whitespace" messages which caused
    grep to choke due to unescaped { and } characters. (Closes: #311216)
  * Update innd nnrpd rule for latest version of INN.
  * Add a versioned dependency on grep to prevent bugs like #311216 happening
    in the first place.
  * Added Vietnamese translation, thanks to Clytie Siddall. (Closes: #312597)
  * Fix minor typo in logcheck-database.templates. (Closes: #312598)
  * Modify rules for successful ssh login messages to match when ssh/ssh2 is
    not specified at the end. (Closes: #312729)
  * Modified ignore.d.workstation/kernel to ignore nfs warnings about mount
    version. (Closes: #313601)
  * Fix postfix anvil rules to match max message/recipient rate and count
    messages.
  * Add the first rules for dkfilter, which implements domainkeys signing and
    verification for postfix.
  * Add rule for openssh-krb5 and add gssapi-with-mic to the list of auth
    alternatives. (Closes: #318500)
  * Add ovpn-tunnel rule to suppress "VERIFY OK: nsCertType=SERVER" messages.
    Thanks to Martin Lohmeier <martin@mein-horde.de>. (Closes: #320009)

  [ Maximilian Attems ]
  * Suppress error message if hostname not set. (Closes: #314951)
  * Add another sshd rule for PARANOID /etc/hosts.deny setting.
  * Fix postfix rule concerning Service unavailable. (Closes: #315507)
  * Add some initial support for exim4 log messages. Pretty rudimentary
    stuff still, will need further refinements. (Closes: #316612)
  * First rule for amandad. (Closes: #313603)
  * Remention how to invoke logcheck with sudo.
  * Add an examples section to the manpage with my most usual invocation.
  * Fix rules for gconfd loglines.


=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <alfie@debian.org>, Eric Evans <eevans@debian.org>
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 Build-Depends-Indep: debhelper (>= 4.1.13), docbook-to-man, debianutils (>= 1.16.9), po-debconf (>= 0.5.0)
 
 Package: logcheck
 Architecture: all
-Depends: adduser, debconf, exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (= ${Source-Version}), logcheck-database (= ${Source-Version}), debianutils (>= 1.16.9), lockfile-progs, ${misc:Depends}
+Depends: adduser, debconf, grep (>= 2.5.1-1), exim4 | mail-transport-agent, cron (>=3.0pl1-68), sysklogd | system-log-daemon | syslog-ng, mailx, logtail (= ${Source-Version}), logcheck-database (= ${Source-Version}), debianutils (>= 1.16.9), lockfile-progs, ${misc:Depends}
 Suggests: syslog-summary
-Description: Mails anomalies in the system logfiles to the administrator
+Description: mails anomalies in the system logfiles to the administrator
  Logcheck was part of the Abacus Project of security tools, but this
  version has been rewritten. 
  .
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: logcheck (<= 1.1.1-9)
-Description: A database of system log rules for the use of log checkers
+Description: database of system log rules for the use of log checkers
  This database is part of the Logcheck package, but might be used by others.
  It brings a database of regular expressions for matching system log entries
  after various criteria.
